> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Company Service Providers Deal

GET https://api.filesearch.dev/v2/datasets/odyssey/companies/{company_id}/service-providers/deal

Get deal-specific service providers (legal, financial advisors) for company.

**Headers:**

* `Authorization`: Bearer \{api\_key}
* `X-Organization-ID`: Organization UUID

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/companies/companies-service-providers-deal

## Request

### Path parameters

- `company_id` (string, required) — Company entity ID or identifier

## Response

### 200

Successful Response

## Errors

### 501 Not Implemented Error

Service provider data not currently available

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

## Types

### ErrorResponseV2Details

## Examples

**Response**

```json
{
  "entity_id": "019e5ffb-550d-74b2-b4bb-84410a854f8d",
  "service_providers": [
    {
      "title": "Gtcandassociates",
      "url": "https://platform.tracxn.com/a/d/company/65e73f3b199a80384a38eaac/gtcandassociates?utm_source=parallel&utm_medium=ai#a:about",
      "excerpts": [
        "All Locations: India  \nName: Gtcandassociates\nWebsite Url: https://gtcandassociates.com\nFounded Year: 2011\nShort Description: Auditor & Tax Consultants delivering excellence in accounting, finance, and compliance\nDetailed Description: Auditor & Tax Consultants delivering excellence in accounting, finance, and compliance. We are a midsized firm rendering a multitude of services encompassing various facets of accounting and finance. Our expertise includes direct and indirect tax consultation, audit and assurance, company law, foreign trade policy, FEMA & RBI compliance. We offer services like …"
      ],
      "source": "parallel_search"
    },
    {
      "title": "Law Firms - CPA & Advisory Industry Experts - Kaufman Rossin",
      "url": "https://kaufmanrossin.com/industries/law-firms/",
      "excerpts": [
        "# Law Firms\n## That’s what we’re here for.\nFor more than six decades, we’ve worked side-by-side with sole practitioners and some of the largest South Florida’s law firms, providing guidance with complex financial matters in and out of court.\nWe’ve helped law firm leaders assess [merger opportunities](https://kaufmanrossin.com/services/transaction-advisory-services/) , identify [key performance indicators](https://kaufmanrossin.com/services/performance-improvement/) to measure and manage their business, and evaluate the profitability of emerging practice areas.\nWe’ve even analyzed the …"
      ],
      "source": "parallel_search"
    }
  ],
  "total": 4,
  "data_sources": [
    "web_search"
  ]
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/companies/stripe/service-providers/deal",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/companies/stripe/service-providers/deal`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```